Skip to main content
POST
/
v1
/
contracts
/
{contractId}
/
change-plan
Change Plan
curl --request POST \
  --url https://api.monk.com/v1/contracts/{contractId}/change-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planId": "<string>",
  "changeDate": "2023-12-25",
  "prorate": true
}
'
{
  "data": {
    "id": "<string>",
    "currentPlanId": "<string>",
    "newPlanId": "<string>",
    "effectiveDate": "2023-12-25"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monk.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is coming soon and is not yet available.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

The unique identifier of the contract (UUID)

Body

application/json
planId
string
required
changeOption
enum<string>
required
Available options:
immediate,
end_of_period,
requested_date
changeDate
string<date>
prorate
boolean
default:true

Response

200 - application/json

Plan change scheduled

data
object